TMPWATCH(8)

NAZWA
tmpwatch - kasuje pliki w oparciu o czas ostatniego dostępu

SKŁADNIA
tmpwatch [-u|-m] [-faqstv] [--verbose] [--force] [--all] [--test] [--fuser] [--atime|--mtime] [--quiet] <czas-ostatniego-dostępu> <katalogi>

OPIS
tmpwatch przeszukuje rekursywnie określone katalogi i usuwa z nich pliki, które nie były odczytywane przez określony czas. Zazwyczaj jest używany do porządkowania katalogów, w których znajdują się pliki tymczasowe (na przykład /tmp). Podczas zmiany katalogów, tmpwatch jest bardzo czuły na możliwy sytuacje wyścigów i zakończy się błędem gdy takowa zostanie wykryta. Program pomija dowiązanie symboliczne w katalogach, które porządkuje (nawet jeśli dowiązanie symboliczne zostało podane jako argument), pracuje na jednym systemie plików i usuwa tylko puste katalogi oraz zwykłe pliki. tmpwatch określa pliki według ich czasu dostępu, a nie czasu modyfikacji. Jeśli pliki nie zostały usunięte kiedy ls -l sugeruje, że tak powinno być, do sprawdzenia ich czasu dostępu należy wykorzystać ls -u i zobaczyć czy to wyjaśnia problem. Parametr czas-ostatniego-dostępu określa wartość progową dla usuwanych plików. Jeśli plik nie był odczytywany przez okres zdefiniowany jako czas-ostatniego-dostępu, zostanie usunięty. Postępując tak, można zadać kilka katalogów, które tmpwatch wyczyści.

OPCJE

-u, --atime
    podejmuje decyzję o usuwaniu pliku na podstawie czasu ostatniego dostępu. Jest to domyślne zachowanie. Opcja ta jest niekompatybilna z --mtime.

-m, --mtime
    podejmuje decyzję o usuwaniu pliku na podstawie czasu ostatniej modyfikacji zamiast czasu ostatniego dostępu. Opcja ta jest niekompatybilna z --atime.

-a, --all
    usuwa wszystkie typy plików, a nie tylko pliki zwykłe i katalogi.

-f, --force
    usuwa pliki nawet jeśli root nie ma do nich prawa zapisu (pokrewne rm -f).

-t, --test
    nie usuwa plików, ale symuluje ich usuwanie. Powoduje równoczesne zastosowanie -v.

-s, --fuser
    przed przystąpieniem do usunięcia pliku próbuje użyć polecenia "fuser" w celu sprawdzenia czy plik jest obecnie otwarty. Opcja nie jest włączona domyślnie. Może pomóc w niektórych przypadkach, ale nie we wszystkich. Zależne od zainstalowanego "fuser" w /sbin.

-v, --verbose
    Drukuje rozwlekły ekran. Dostępne są dwa poziomy "rozwlekłości" -- użyj tej opcji dwukrotnie, aby otrzymać najbardziej rozwlekły tryb pracy na wyjściu.

ZOBACZ TAKŻE
cron(1), ls(1), rm(1), fuser(1)

OSTRZEŻENIA
Długi opcje w stylu GNU nie są obsługiwane w systemie HP-UNIX.

AUTORZY
Erik Troan <ewt@redhat.com>
Preston Brown <pbrown@redhat.com>